Get Reconciliation by Shipment
Fetch the latest reconciliation record raised against a shipment.
/reconciliation/shipment/:shipment_id
GET https://api.terminal.africa/v1/reconciliation/shipment/:shipment_id
This endpoint allows you to retrieve the most recent reconciliation record raised against a shipment.
Path Parameters
Name
Type
Description
shipment_id*
String
Unique shipment_id of the shipment.
Headers
Name
Type
Description
Authorization*
String
Set value to Bearer SECRET_KEY
Content-Type
String
Set value to application/json
{
"status": true,
"message": "Reconciliation retrieved successfully",
"data": {
"reconcilliation_id": "RC-8TQK2M4XZP71VBDR",
"shipment_id": "SH-40208776515",
"platform": "dhl",
"reconciliation_stage": "delivery",
"charge_type": "weight",
"total_old_shipment_cost": 42350,
"total_new_shipment_cost": 51720,
"total_exception_charge": 9370,
"charge_after": null,
"descripancy_challenged": true,
"billing_skipped": false,
"is_charged": false,
"charged_at": null,
"transaction_id": "",
"reversal_transaction_id": "",
"voided": false,
"voided_at": null,
"shipment_data": [
{
"shipment_id": "SH-40208776515",
"shipment_number": "7412089553",
"carrierName": "DHL Express",
"platform": "dhl",
"declared_weight": 2,
"actual_weight": 3.5,
"old_shipment_cost": 42350,
"new_shipment_cost": 51720,
"exception_charge": 9370,
"tracking_only": false,
"reconciliation_stage": "delivery"
}
],
"created_at": "2026-09-01T06:02:11.903Z",
"updated_at": "2026-09-03T14:27:55.010Z"
}
}Was this helpful?